Subject: Re: [PATCH 1/2] user-manual: Simplify the user configuration.

From: Junio C Hamano <[email-masked]>
Date: Sun, 25 Jan 2009 12:34:57 -0800

Felipe Contreras <[email-masked]> writes:

> It's much easier for everyone to just use git config --global than
> explain how create and edit the .gitconfig file. If this is explained
> it shouldn't be in the "Telling git your name" section.

I think it is Ok to have, and it probably is helpful to have, a document
that accompanies the generic manual, "Platform supplement", to explain
things like "On this platform, what is referred to as $HOME in the generic
manual is implemented as %HOMEDRIVE%%HOMEPATH%", to cover peculiarities of
each platform.

But I think it is going backwards to butcher the description in the main
manual in order to make the platform supplement shorter.  Even Windows is
not a good enough reason to break the logical ordering of how things
should be best taught to the readers of the manual, which is not specific
to a platform.